
<img align="right" src="https://github.com/Innanov/logos/blob/main/logo.png?raw=true" width="25%">

![PyPI - License](https://img.shields.io/pypi/l/nz-seqtech)

# NZ-SeQTech
  **Bringing DNA sequencing data into the quantum computing era.**

## About 

NZ-SeQTech is a Python library designed to facilitate DNA sequence encoding in quantum machine learning applications. With NZ-SeQTech, you can effortlessly encode DNA sequences using various data encoding techniques we have developed and discussed in our article  [Classical-to-Quantum Sequence Encoding in Genomics](https://www.researchgate.net/publication/370213316_Classical-to-Quantum_Sequence_Encoding_in_Genomics). This library is distributed under the Apache license.

## Installation 

You can install NZ-SeQTech using pip:

```shell
pip install nz-seqtech
```

# Features

- Advanced encoding techniques for DNA sequences.
- Smooth integration of encoded sequences into quantum machine learning workflows.
- Additional functions, including DNA analysis and classical machine learning support.

# Usage 

```
import nz_seqtech
from nz_seqtech.quantum_dna_encoding import cosine_encoding

# Encode DNA sequence using a specific technique
encoded_sequence = cosine_encoding('sequence')
```
Make sure to replace `sequence` with the actual DNA sequence you want to encode.

For more details, you can check the [documentation](https://nz-seqtech.readthedocs.io/). 
# Contributing 

We welcome contributions to NZ-SeQTech! Feel free to submit a pull request if you find any issues or would like to add enhancements. For significant changes, please open an issue first to discuss the proposed changes.

# License 
NZ-SeQTech is distributed under the Apache License. Read more about it in the [LICENSE](https://github.com/quantumformalism/NZ-SeQTech/LICENSE) file.

# Contact 
If you have any questions or suggestions, please get in touch with us at <hello@nz-seqtech.com>.
